Bug 555843 - Review Request: pam_radius - PAM Module for RADIUS Authentication
Summary: Review Request: pam_radius - PAM Module for RADIUS Authentication
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Christoph Wickert
QA Contact: Fedora Extras Quality Assurance
URL: http://www.timlank.com/pam_radius
Whiteboard:
Keywords: Reopened
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-01-15 17:51 UTC by timlank
Modified: 2019-04-05 11:25 UTC (History)
7 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2019-04-05 11:25:23 UTC
gwync: fedora-cvs+


Attachments (Terms of Use)

Description timlank 2010-01-15 17:51:45 UTC
Spec URL: http://www.timlank.com/pam_radius/pam_radius.spec
SRPM URL: http://www.timlank.com/pam_radius/pam_radius-1.3.17-1.src.rpm
Description: 
pam_radius is a PAM module which allows user authentication using
a radius server



This is my first package, and I am seeking a sponsor.

Comment 1 Itamar Reis Peixoto 2010-01-15 18:01:07 UTC
please follow the wiki

https://fedoraproject.org/wiki/PackageMaintainers


missing dist tag, etc...

also please include a koji scratch build of your package.

Comment 2 timlank 2010-01-19 17:14:28 UTC
added dist tag.

replaced files at SPEC&SRPM URL above.

koji scratch build completed.

[root@timslinux19 SRPMS]# koji build --arch-override=x86_64 --scratch dist-f13 /root/rpmbuild/SRPMS/pam_radius-1.3.17-1.fc12.src.rpm
Uploading srpm: /root/rpmbuild/SRPMS/pam_radius-1.3.17-1.fc12.src.rpm
[====================================] 100% 00:00:01  36.52 KiB  19.59 KiB/sec
Created task: 1932000
Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=1932000
None
Watching tasks (this may be safely interrupted)...
1932000 build (dist-f13, pam_radius-1.3.17-1.fc12.src.rpm): free
1932000 build (dist-f13, pam_radius-1.3.17-1.fc12.src.rpm): free -> open (x86-04.phx2.fedoraproject.org)
  1932001 buildArch (pam_radius-1.3.17-1.fc12.src.rpm, x86_64): free
  1932001 buildArch (pam_radius-1.3.17-1.fc12.src.rpm, x86_64): free -> open (x86-06.phx2.fedoraproject.org)
  1932001 buildArch (pam_radius-1.3.17-1.fc12.src.rpm, x86_64): open (x86-06.phx2.fedoraproject.org) -> closed
  0 free  1 open  1 done  0 failed
1932000 build (dist-f13, pam_radius-1.3.17-1.fc12.src.rpm): open (x86-04.phx2.fedoraproject.org) -> closed
  0 free  0 open  2 done  0 failed

1932000 build (dist-f13, pam_radius-1.3.17-1.fc12.src.rpm) completed successfully



From http://koji.fedoraproject.org/koji/........

Information for task build (dist-f13, pam_radius-1.3.17-1.fc12.src.rpm)
ID	1932000
Method	build
Parameters 	Source: cli-build/1263920391.1608911.MNyrsyVr/pam_radius-1.3.17-1.fc12.src.rpm
Build Target: dist-f13
Options:
  scratch = True
  arch_override = x86_64
State 	closed
Created	Tue, 19 Jan 2010 17:01:25 UTC
Completed	Tue, 19 Jan 2010 17:03:14 UTC
Owner 	timlank
Channel 	default
Host 	x86-04.phx2.fedoraproject.org
Arch	noarch
Parent 	
Descendent Tasks 	build

    * buildArch (pam_radius-1.3.17-1.fc12.src.rpm, x86_64)

Waiting?	no
Awaited?	no
Priority	20
Weight	0.20
Result 	
Output

Comment 3 Xavier Bachelot 2010-01-20 20:54:53 UTC
You cannot set the review flag yourself, the reviewer will do.

Comment 4 timlank 2010-01-26 01:56:54 UTC
cleaned up %setup 

added LICENSE file to %doc

new .spec and .src.rpm are located in the original location listed in this review request

Comment 5 timlank 2010-01-26 02:00:42 UTC
# rpmlint -v pam_radius.spec pam_radius-1.3.17-1.fc12.src.rpm pam_radius-1.3.17-1.fc12.x86_64.rpm pam_radius-debuginfo-1.3.17-1.fc12.x86_64.rpm
pam_radius.src: I: checking
pam_radius.x86_64: I: checking
pam_radius-debuginfo.x86_64: I: checking
3 packages and 1 specfiles checked; 0 errors, 0 warnings.

Comment 6 timlank 2010-01-26 02:03:04 UTC
# mock --rebuild pam_radius-1.3.17-1.fc12.src.rpm
INFO: mock.py version 1.0.2 starting...
State Changed: init plugins
State Changed: start
INFO: Start(pam_radius-1.3.17-1.fc12.src.rpm)  Config(fedora-12-x86_64)
State Changed: lock buildroot
State Changed: clean
State Changed: init
State Changed: lock buildroot
Mock Version: 1.0.2
INFO: Mock Version: 1.0.2
INFO: enabled root cache
State Changed: unpacking root cache
INFO: enabled yum cache
State Changed: cleaning yum metadata
INFO: enabled ccache
State Changed: running yum
State Changed: setup
State Changed: build
INFO: Done(pam_radius-1.3.17-1.fc12.src.rpm) Config(default) 0 minutes 24 seconds
INFO: Results and/or logs in: /var/lib/mock/fedora-12-x86_64/result

Comment 7 timlank 2010-01-26 02:06:58 UTC
# koji build --arch-override=i386 --scratch dist-f13 /root/rpmbuild/SRPMS/pam_radius-1.3.17-1.fc12.src.rpm
Uploading srpm: /root/rpmbuild/SRPMS/pam_radius-1.3.17-1.fc12.src.rpm
[====================================] 100% 00:00:01  36.50 KiB  22.94 KiB/sec
Created task: 1944383
Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=1944383
None
Watching tasks (this may be safely interrupted)...
1944383 build (dist-f13, pam_radius-1.3.17-1.fc12.src.rpm): open (ppc07.phx2.fedoraproject.org)
  1944384 buildArch (pam_radius-1.3.17-1.fc12.src.rpm, i386): free
  1944384 buildArch (pam_radius-1.3.17-1.fc12.src.rpm, i386): free -> open (x86-06.phx2.fedoraproject.org)
  1944384 buildArch (pam_radius-1.3.17-1.fc12.src.rpm, i386): open (x86-06.phx2.fedoraproject.org) -> closed
  0 free  1 open  1 done  0 failed
1944383 build (dist-f13, pam_radius-1.3.17-1.fc12.src.rpm): open (ppc07.phx2.fedoraproject.org) -> closed
  0 free  0 open  2 done  0 failed

1944383 build (dist-f13, pam_radius-1.3.17-1.fc12.src.rpm) completed successfully

Comment 8 timlank 2010-01-26 12:16:01 UTC
involved in informal reviews of #556128 and #556161

joined s390x IRC - hope to contribute to this secondary arch in some way at some point

Comment 9 timlank 2010-01-26 14:36:34 UTC
involved in informal reviews of #556128 and #556161

joined s390x IRC - hope to contribute to this secondary arch in some way at some point

Comment 10 timlank 2010-02-19 19:23:11 UTC
commented in informal review of #Bug 565958 - Review Request: SynapticsConfig - tool for configuring touchpads

Comment 11 Christoph Wickert 2010-02-21 10:42:17 UTC
The spec in the srpm and the one from the URL do not match. Please decide which one you want to use and fix the upload/the package.

Comment 12 timlank 2010-02-21 12:56:07 UTC
My apologies, the initial SRPM link above is outdated.... please use the below:

http://www.timlank.com/pam_radius/pam_radius-1.3.17-1.fc12.src.rpm

Thanks,
Tim

Comment 13 Christoph Wickert 2010-02-22 00:47:08 UTC
You should always increase the release, even during review, so it's easier to avoid this kind of problems. But never mind, here we go. Sorry it took so long.


Review for 1533c274d7313ce1f54421a444485333  pam_radius-1.3.17-1.fc12.src.rpm

OK - MUST: $ rpmlint /var/lib/mock/fedora-rawhide-x86_64/result/pam_radius-*
pam_radius.src: W: spelling-error %description -l en_US pam -> map, Pam, pan
pam_radius.x86_64: W: spelling-error %description -l en_US pam -> map, Pam, pan
pam_radius-debuginfo.x86_64: W: spelling-error Summary(en_US) pam -> map, Pam, pan
pam_radius-debuginfo.x86_64: W: spelling-error %description -l en_US pam -> map, Pam, pan
3 packages and 0 specfiles checked; 0 errors, 4 warnings.

All these warnings are save to ignore.

OK - MUST: named according to the Package Naming Guidelines
OK - MUST: spec file name matches the base package %{name}
OK - MUST: package meets the Packaging Guidelines
OK - MUST: Fedora approved license and meets the Licensing Guidelines: GPLv2+
OK - MUST: License field in spec file matches the actual license
OK - MUST: license file included in %doc
OK - MUST: spec is in American English
OK - MUST: spec is legible
OK - MUST: sources match the upstream source by MD5 a5d27ccbaaad9d9fb254b01a3c12bd06
OK - MUST: successfully compiles and builds into binary rpms on x86_64
N/A - MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch.
OK - MUST: all build dependencies are listed in BuildRequires.
N/A - MUST: handles locales properly with %find_lang
N/A - MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.
OK - MUST: Package does not bundle copies of system libraries.
N/A - MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package.
OK - MUST: owns all directories that it creates
OK - MUST: no duplicate files in the %files listing
OK - MUST: Permissions on files are set properly, includes %defattr(...)
OK - MUST: package has a %clean section, which contains rm -rf %{buildroot}.
OK - MUST: consistently uses macros
OK - MUST: package contains code, or permissable content
N/A - MUST: Large documentation files should go in a -doc subpackage
OK - MUST: Files included as %doc do not affect the runtime of the application
N/A - MUST: Header files must be in a -devel package
N/A - MUST: Static libraries must be in a -static package
N/A - MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig'.
OK - MUST: If a package contains library files with a suffix, then library files that end in .so must go in a -devel package (the package does have a lib without suffix, but pam modules usually are not versioned, so this is ok)
N/A - MUST: devel packages must require the base package using a fully versioned dependency
OK - MUST: The package does not contain any .la libtool archives.
N/A - MUST: Packages containing GUI applications must include a %{name}.desktop file.
OK - MUST: package does not own files or directories already owned by other packages.
OK - MUST: at the beginning of %install, the package runs rm -rf %{buildroot}.
OK - MUST: all filenames valid UTF-8


SHOULD Items:
OK - SHOULD: Source package includes license text(s) as a separate file.
N/A - SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available.
OK - SHOULD: builds in mock.
OK - SHOULD: compiles and builds into binary rpms on all supported architectures.
OK - SHOULD: functions as described.
N/A - SHOULD: Scriptlets are used, those scriptlets must be sane.
N/A - SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency.
N/A - SHOULD: pkgconfig(.pc) files should be placed in a -devel pkg
N/A - SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself.


Other items:
OK - latest stable version
OK - SourceURL valid
OK - Compiler flags ok
OK - Debuginfo complete
OK - timestamps preserved during %install


Issues:
- %description should end with a dot

- Patches should comments: a comment what they do, where you got them from (e. g. upstream's vcs or a bug tracker) or if they are specific to Fedora.

- pam_radius.conf should be 0600, ignore the warning that rpmlint will give. I would prefer using install to set the mode over attr, but this is up to you.

- What exactly is your motivation to change the name of the config file? Consistency? The dir ownership of /etc/raddb? Ether way, you should patch INSTALL and pam_radius.conf to to contain the right path.

Comment 14 timlank 2010-02-22 11:28:49 UTC
All of the issues in the bottom section have been corrected.

Spec URL: http://www.timlank.com/pam_radius/pam_radius.spec
SRPM URL: http://www.timlank.com/pam_radius/pam_radius-1.3.17-2.fc12.src.rpm

Comment 15 timlank 2010-02-22 11:33:19 UTC
for transparency, below is a conversation with the developer regarding the default location of the .conf file (server) in /etc/raddb and why I ended up changing it to /etc/pam_radius.conf ....

---------- Forwarded message ----------
From: John Dennis <jdennis@redhat.com>
Date: Thu, Jan 14, 2010 at 9:05 AM
Subject: Fwd: Re: Fwd: Fwd: packaging pam_radius_auth and including it in Fedora
To: timlank@timlank.com


I think Alan forgot to CC you so I'm forwarding this. Bottom line, you
want to pick a different file and there is no need for a dependency on
freeradius.

-------- Original Message --------
Subject: Re: Fwd: Fwd: packaging pam_radius_auth and including it in Fedora
Date: Thu, 14 Jan 2010 07:53:21 +0100
From: Alan DeKok <aland@ox.org>
Reply-To: aland@ox.org
To: John Dennis <jdennis@redhat.com>

John Dennis wrote:
>
> However, having said that I thought pam_radius was meant to be
> independent of the radius server, in other words it submits a auth
> request to a configured server with need not be co-resident on the same
> machine. If that's the case then there should be no dependency on
> freeradius and any of it's directories.

 Yes.  The PAM module shouldn't use /etc/raddb.  It should use
/etc/pam_radius.conf (or something PAM specific)

 Alan DeKok.

(sent from @ox.org, as @freeradius.org results in:

<jdennis@redhat.com>: host mx1.redhat.com[209.132.183.28] said: 553 5.1.8
   <aland@freeradius.org>... Domain of sender address aland@freeradius.org
   does not exist (in reply to MAIL FROM command)

Comment 16 Christoph Wickert 2010-02-22 12:07:00 UTC
All remaining issues are fixed:
- Patches have comments and were sent upstream.
- %description ends with a dot.
- pam_radius.conf is 0600
- location/name of config file is fixed also in INSTALL and the file itself.

Some hints however:
- You could gather some of the changes and apply them in a single patch, e.g. everything that has to do with the config file.
- when you are patching things in a spec, you might want to use -b flag to create backups. This is useful for debugging when a patch cannot be applied.


Removing FE-NEEDSPONSOR, the package is APPROVED:

Comment 17 timlank 2010-02-22 21:47:39 UTC
New Package CVS Request
=======================
Package Name: pam_radius
Short Description: PAM Module for RADIUS Authentication
Owners: timlank
Branches: F-11 F-12 F-13
InitialCC: cwickert jdennis

Comment 18 Jason Tibbitts 2010-02-22 23:37:40 UTC
CVS done (by process-cvs-requests.py).

Comment 19 Fedora Update System 2010-02-23 02:21:57 UTC
pam_radius-1.3.17-2.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/pam_radius-1.3.17-2.fc13

Comment 20 Fedora Update System 2010-02-23 02:30:04 UTC
pam_radius-1.3.17-2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/pam_radius-1.3.17-2.fc12

Comment 21 Fedora Update System 2010-02-23 02:31:44 UTC
pam_radius-1.3.17-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/pam_radius-1.3.17-2.fc11

Comment 22 Fedora Update System 2010-02-23 16:06:45 UTC
pam_radius-1.3.17-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 23 Fedora Update System 2010-02-24 06:12:45 UTC
pam_radius-1.3.17-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 24 Fedora Update System 2010-02-24 06:13:41 UTC
pam_radius-1.3.17-2.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 25 timlank 2010-04-12 22:31:20 UTC
Package Change Request
======================
Package Name: pam_radius
New Branches: EL-5
Owners: timlank

Comment 26 Kevin Fenzi 2010-04-14 04:39:27 UTC
cvs done.

Comment 27 Fedora Update System 2010-04-15 00:07:33 UTC
pam_radius-1.3.17-2.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/pam_radius-1.3.17-2.el5

Comment 28 Fedora Update System 2010-05-06 00:51:46 UTC
pam_radius-1.3.17-2.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 29 timlank 2010-07-03 15:33:17 UTC
Package Change Request
======================
Package Name: pam_radius
New Branches: EL-6
Owners: timlank

Comment 30 Kevin Fenzi 2010-07-05 01:42:57 UTC
There is already a EL-6 branch. 

Make sure you 'cvs update -d' to get the new directory.

Comment 31 timlank 2015-01-19 17:29:25 UTC
Package Change Request
======================
Package Name: pam_radius
New Branches: EL-7
Owners: timlank

Comment 32 Gwyn Ciesla 2015-01-21 17:50:36 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.